Subject: RE: [PWE3] LDP & RSVP for MS-PWs

From: "Nurit Sprecher" <[email-masked]>
Date: Tue, 22 Nov 2005 19:46:34 +0200

Please find my response:

Q1. Are you in favor of moving MS-LDP forward as WG draft?
A1: No.

Q2. Are you against moving MS-LDP forward?
A2: I think that the TE support should be done using the RSVP-TE.  LDP should be used for non-TE only. 

Q3. Are you in favor of moving MS-RSVP forward as WG draft?
A3: YES.

Q4. Are you against moving MS-RSVP forward?

A4: NO. 

Q5. Are you in favor of a single solution?

A5: No. For TE the RSVP-TE should be used and for non-TE, either LDP or RSVP-TE can be used.

Regards,
Nurit.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf Of Danny McPherson
Sent: Tuesday, November 22, 2005 19:05
To: pwe3
Subject: [PWE3] LDP & RSVP for MS-PWs

Folks,
To continue this pseudo-poll on the MS-RSVP v. MS-LDP, I'd like
to formalize things a bit and ask folks to respond to the following
questions (on list, ideally, but directly to the chairs if you'd 
prefer).

If you've already responded to these no need to reply again,
we heard you.

YES or NO answers only please, although you're welcome to
follow-up a YES or NO with comments as to why.

And yes, I realize this is somewhat arbitrary, but we'll see how it
goes..

Thanks!

-danny & Stewart

[snip]

Q1. Are you in favor of moving MS-LDP forward as WG draft?

Q2. Are you against moving MS-LDP forward?

Q3. Are you in favor of moving MS-RSVP forward as WG draft?

Q4. Are you against moving MS-RSVP forward?

Q5. Are you in favor of a single solution?

_______________________________________________
pwe3 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pwe3

_______________________________________________
pwe3 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pwe3

---

From: "Drake, John E" <[email-masked]>
Date: Tue, 22 Nov 2005 15:37:37 -0800

> From: Danny McPherson [mailto:[email-masked]]
> Sent: Tuesday, November 22, 2005 9:05 AM
> To: pwe3
[JD] 
Yes
> Q2. Are you against moving MS-LDP forward?
[JD] 
No
> Q3. Are you in favor of moving MS-RSVP forward as WG draft?
[JD] 
Yes
> Q4. Are you against moving MS-RSVP forward?
[JD] 
No
> Q5. Are you in favor of a single solution?
[JD] 
No

---

From: [email-masked]
Date: Wed, 23 Nov 2005 11:21:51 +0000

[snip]

YES

NO

Q3. Are you in favor of moving MS-RSVP forward as WG draft?
ABSTAIN (I do not object to this draft continuing to be worked on, but I
think that it needs more consideration as to how this would work with the
deployed base)

ABSTAIN

Q5. Are you in favor of a single solution?
YES (although this might change if my comment on Q3 is resolved)

---

From: "Gray, Eric" <[email-masked]>
Date: Wed, 23 Nov 2005 09:32:14 -0500

Dimitri,

	I can see no special problems with having application
specific extensions to a protocol, given that anything that
uses a protocol is an application.  Certainly there are a
good number of examples of application specific extensions
to other protocols.  MPLS extensions to BGP comes to mind.

--
Eric

--> -----Original Message-----
--> From: [email-masked] [mailto:[email-masked]] 
--> On Behalf Of dimitri papadimitriou
--> Sent: Wednesday, November 23, 2005 3:25 AM
--> To: Danny McPherson
--> Cc: pwe3
--> Subject: Re: [PWE3] LDP & RSVP for MS-PWs
--> 
--> in favor of moving RSVP solution forward
--> 
--> if there is a traction for moving MS-LDP (or whatever the 
--> name give to
--> it) that's fine ... however i would like to know why is 
--> there a traction for having an "application specific" 
--> implementation of RFC3212/3472 when this can simply be 
--> avoided (and this is not a rhetoric question)
--> 
--> if this was not the case we could have had a common 
--> signaling functional document and the solution specific 
--> document like done at CCAMP with the trilogy RFC3471 and 
--> RFC3472/RFC3473
--> 
--> 
--> _______________________________________________
--> pwe3 mailing list
--> [email-masked]
--> https://www1.ietf.org/mailman/listinfo/pwe3
-->

---

From: "Gray, Eric" <[email-masked]>
Date: Wed, 23 Nov 2005 11:24:56 -0500

George,

	I think that - unfortunately - a two-protocol solution
is unavoidable for other reasons (see separate mail).

--
Eric 

--> -----Original Message-----
--> From: [email-masked] [mailto:[email-masked]] 
--> On Behalf Of George Swallow
--> Sent: Wednesday, November 23, 2005 9:55 AM
--> To: Busschbach, Peter B (Peter)
--> Cc: [email-masked]; pwe3; 'Danny McPherson'
--> Subject: Re: [PWE3] LDP & RSVP for MS-PWs 
--> 
--> > Personally, I have a problem with the last question. Of course I 
--> > prefer a single solution, as long as it is the right one. 
--> The question 
--> > is if and when we should decide to select one solution 
--> and stop work 
--> > on the other. In my opinion, it is premature to do so. I 
--> think that a 
--> > continued discussion on the pros and cons of the two 
--> solutions will 
--> > help to clarify requirements and tradeoffs.
--> 
--> My experience is that if you have two approaches that are 
--> techinally viable, then the only way to have one is to kill 
--> the other.  The longer one waits the more difficult this 
--> becomes.  You develop two camps that are each investing 
--> (both personal capital as well as their employers'
--> $$$) in their solution.  So the stakes just keep getting 
--> higher and the battle will either be bloody or a truce will 
--> be called and we'll have two solutions.  
--> 
--> If both solutions succeed in the market-place then all 
--> non-niche vendors will have to support both.  
--> 
--> So if I were doing the poll, I'd have put question 5 first.
--> 
--> ...George
--> 
--> ============================================================
--> ============
--> George Swallow             Cisco Systems                  
--> (978) 936-1398
-->                            1414 Massachusetts Avenue
-->                            Boxborough, MA 01719
--> 
--> _______________________________________________
--> pwe3 mailing list
--> [email-masked]
--> https://www1.ietf.org/mailman/listinfo/pwe3
-->

---

From: "Busschbach, Peter B (Peter)" <[email-masked]>
Date: Wed, 23 Nov 2005 11:33:41 -0500

> Sent: Tuesday, November 22, 2005 11:03 PM
> To: pwe3
> Subject: Re: [PWE3] LDP & RSVP for MS-PWs
> 
[snipped]

> 
> So you believe both should be working group items and progressed in
> the working group?  Very well.  Why couldn't you of just answered the
> questions as such?
> 

Because that was not the question. Anyway, I admit that my previous email was obnoxious and I apologize. Here are my answers:

Q5. Are you in favor of a single solution?
Not at this point in time, although ultimately I would like to see a single solution.

Peter

---

From: Sasha Vainshtein <[email-masked]>
Date: Wed, 23 Nov 2005 19:10:51 +0200

Danny and all,
In the (admittedly, unlikely) case my positioin has been
mis-interpreted, here are my responses to the explicitly stated questions:

Regards,
              Sasha

> Sent: Tuesday, November 22, 2005 7:05 PM
> To: pwe3

Q3. Are you in favor of moving MS-RSVP forward as WG draft?
NO
(Comment: The application space has to be identified first)
NO
> Q5. Are you in favor of a single solution?
ABSTAIN
(Comment: if a suitable application space can be found, we shall
probably end with two solutions.)

---

From: "Florin Balus" <[email-masked]>
Date: Wed, 23 Nov 2005 14:36:37 -0500

On the RFC3212/CR-LDP comments: in draft-balus-bocci-martini-dyn-ms-pwe3
we are just re-using one existing TLV (ER-TLV) as an optional component
for dynamic placement of MS-PWs. We could have re-used the RSVP-TE
format and build a new one to alleviate the comments on "ah! you're
reviving CR-LDP!" :) But the truth is we have ended up with a format
identical with the existing ER-TLV one. Then why bother to ask IANA for
a new code point?! We just took a realistic approach, it's a long shot
to say we are trying to revive deprecated protocols!

In any case what gets lost in this debate around TE stuff is that there
is an immediate need for basic LDP signaled MS-PWs. Besides the reality
of LDP-based PWs being already out there (implemented and deployed), the
LDP VPLS is also the most implemented and deployed solution. The service
is based on a mesh of "infrastructure PWs" that do not usually have BW
information associated with them: hard to predict/control how much
traffic is generated by the local/remote VSIs.

TE PWs need also TE tunnels to be deployed to make any sense. How many
of the existing MPLS networks deployed in the field run end to end TE
tunnels, between PEs today?   

Even for phase 2, once we have some level of coverage with TE tunnels, I
see maybe a need to signal QoS information. I believe that could be
easily addressed with LDP as described in our draft. 

Still suggesting that the ability to perform end to end TE, at PW
service layer, is the central factor for the selection of an unique
solution for MS-PWs, seems to me like a stretch. We should understand
first how many people and in which use cases want to deploy end to end
TE (& the related support systems, e.g. "PW-level TE dbase") on a per
service basis. 

Florin

>From: [email-masked] [mailto:[email-masked]] On 
>Behalf Of Gray, Eric
>Sent: Wednesday, November 23, 2005 9:32 AM
>To: [email-masked]'; [email-masked]'
>Cc: pwe3
>Subject: RE: [PWE3] LDP & RSVP for MS-PWs
>
>
>Dimitri,
>
>uses a protocol is an application.  Certainly there are a good 
>number of examples of application specific extensions to other 
>protocols.  MPLS extensions to BGP comes to mind.
>
>--
>Eric
>

---

From: "Busschbach, Peter B (Peter)" <[email-masked]>
Date: Wed, 23 Nov 2005 15:43:38 -0500

Florin,

A couple of comments:

"we are just re-using one existing TLV"
That is not a plus, it is a minus. You are not even re-using CR-LDP, you are inventing a new protocol.

"TE PWs need also TE tunnels to be deployed to make any sense"
It is not just about QoS. There are other reasons why explicit routing might make sense. For security reasons, an operator might want to identify the Border Router through which an MS-PW must be set up. For commercial reasons, the operator might want to specify through which neighboring AS an MS-PEW must be set up. For resiliency, an operator might want to create a stand-by PW that follows a divers route from the primary PW. 

> Even for phase 2, once we have some level of coverage with TE 
> tunnels, I see maybe a need to signal QoS information. I believe that could be

I don't think anyone is disputing that you can add to LDP to make it do all the things you want. There is doubt about the wisdom of doing so.
 
You can make evasive statements about your view that support of QoS, explicit routing, Fast Reroute and other things that RSVP-TE would provide is not important (yet), but the fact of the matter is that you are taking a firm position that MS-LDP is the right solution to address these issues.

"Besides the reality of LDP-based PWs being already out there"
I am sure that this will continue to come up in this debate, but it is an irrelevant observation. The only way to interwork with legacy equipment is to revert back to the protocols that they support today. For example, draft-ietf-pwe3-segmented-pw requires the use of the Global AII and, for interworking with FEC128 devices, a new Interface Parameters Sub-TLV. These are new concepts and not supported on legacy equipment. Therefore there are two options: (1) upgrade existing equipment, at which point they could support any protocol we believe is best, or (2) build new devices that are able to communicate in one way with legacy devices and in another way with new devices.

Peter

> From: [email-masked] [mailto:[email-masked]]On Behalf Of
> Florin Balus
> Sent: Wednesday, November 23, 2005 2:37 PM
> To: Gray, Eric; [email-masked]; 
> [email-masked]
> Cc: pwe3

---

From: "Florin Balus" <[email-masked]>
Date: Wed, 23 Nov 2005 16:44:07 -0500

Peter a "couple" of comments too :)

>That is not a plus, it is a minus. You are not even re-using 
>CR-LDP, you are inventing a new protocol.

I didn't feel like we created a new one! On a serious note, we're really
just extending the usage of regular PW signaling protocol, adding on top
of the procedure described in PW Segmented draft: we are using a the
address of the endpoint to automatically determine the next PW Segment. 

>It is not just about QoS. 

Sure I didn't mean it is just about QoS

>There are other reasons why explicit 
>routing might make sense. For security reasons, an operator 
>might want to identify the Border Router through which an 
>MS-PW must be set up. For commercial reasons, the operator 
>might want to specify through which neighboring AS an MS-PEW 
>must be set up. For resiliency, an operator might want to 
>create a stand-by PW that follows a divers route from the primary PW. 
>
That is the reason for specifying that the existing ER-TLV may be used. 

>I don't think anyone is disputing that you can add to LDP to 
>make it do all the things you want. There is doubt about the 
>wisdom of doing so.
> 
Well let's just say we should just agree to disagree! We decide to put
it after we collectively discussed it with co-authors and contributors.
So I personally feel good it cuts it for now...

>You can make evasive statements about your view that support 
>of QoS, explicit routing, Fast Reroute and other things that 
>RSVP-TE would provide is not important (yet), but the fact of 
>the matter is that you are taking a firm position that MS-LDP 
>is the right solution to address these issues.
>

Well if you say so it might be true! :) Although this is not what I was
saying: I was just barely to the fact that I am not convinced yet it is
the central factor to be considered when deciding what goes and more
importantly what stays.

>I am sure that this will continue to come up in this debate, 
>but it is an irrelevant observation. 
>The only way to interwork 
>with legacy equipment is to revert back to the protocols that 
>they support today. For example, draft-ietf-pwe3-segmented-pw 

I think you got the draft wrongly: draft-ietf-pwe3-segmented-pw does
support interworking to the FEC128 with no changes to "legacy devices".
And this is part of the answer to your statements below.

>requires the use of the Global AII and, for interworking with 
>FEC128 devices, a new Interface Parameters Sub-TLV. 

There is a big difference I think between adding a new subTLV to a
protocol you already have implemented/deployed for PWs and redoing the
work for a new one. There is also a business aspect: I don't see how
vendors/service providers will drop everything they were doing and jump
right away on a protocol being just standardized for a new application.
Instead of the one that is already widely adopted (e.g. for regular PWs)
by the industry. There has to be a really compelling (business) reason
behind for that to happen (for both Vendors and Service Providers). 

> These are 
>new concepts and not supported on legacy equipment. 
>Therefore 
>there are two options: (1) upgrade existing equipment, at 
>which point they could support any protocol we believe is 
>best, or (2) build new devices that are able to communicate in 
>one way with legacy devices and in another way with new devices.

see the above 2 answers...

>> tunnels, I
>> >	I can see no special problems with having application specific 
>> >extensions to a protocol, given that anything that uses a 
>protocol is 
>> >an application.  Certainly there are a good number of examples of 
>> >application specific extensions to other protocols.  MPLS 
>extensions 
>> >to BGP comes to mind.
>> >
>> >--
>> >Eric
>> >
>> >--> From: [email-masked] [mailto:[email-masked]] On 
>> >--> Behalf Of dimitri papadimitriou
>> >--> if there is a traction for moving MS-LDP (or whatever the name 
>> >--> give to
>> >--> if this was not the case we could have had a common signaling 
>> >--> functional document and the solution specific document 
>like done 
>> >--> at CCAMP with the trilogy RFC3471 and RFC3472/RFC3473
>> >--> 
>> >--> 
>> >--> [email-masked] https://www1.ietf.org/mailman/listinfo/pwe3
>> >--> 
>> >

---

From: [email-masked]
Date: Thu, 24 Nov 2005 14:45:57 +0100

/Patrik

---

From: "Andrei Sergeev" <[email-masked]>
Date: Thu, 24 Nov 2005 17:59:59 +0200

Andrei Sergeev

---

From: "Busschbach, Peter B (Peter)" <[email-masked]>
Date: Thu, 24 Nov 2005 14:18:48 -0500

"There is a big difference I think between adding a new subTLV to a
protocol you already have implemented/deployed for PWs and redoing the
work for a new one."

If Ray Qiu would read this, he would probably say: "It is so obvious that the answer came from a vendor not a provider"

Claiming that there are no changes to legacy equipment, just the addition to a new subTLV is misleading.

> From: Florin Balus [mailto:[email-masked]]
> Sent: Wednesday, November 23, 2005 4:44 PM
> To: Busschbach, Peter B (Peter); Gray, Eric; [email-masked];

---

From: "Hamid Ould-Brahim" <[email-masked]>
Date: Thu, 24 Nov 2005 15:01:05 -0500

[clipped..]

> Q1. Are you in favor of moving MS-LDP forward as WG draft?

Yes. 

> Q2. Are you against moving MS-LDP forward?

No.

> Q3. Are you in favor of moving MS-RSVP forward as WG draft?

Yes. I see interest in this and I don't see the technical 
shortcomings mentioned (like status, etc) should stop the proposal 
from progressing to wg doc. It is after all a work in progress. 
I concur with Adrian that an applicability statement is needed.

> Q4. Are you against moving MS-RSVP forward?

No. 

> Q5. Are you in favor of a single solution?

That's my preference. But I believe in this instance
such question could have been addressed well before
we reach this point. The requirement draft would have been the 
right place to guide much earlier the working group 
on protocol choices/preference before solutions get specified 
and debated. Plus as I indicated before this question
is valid not just for this wg but for the whole ietf
in general. It's resolution should as well come from ietf in 
general (taking input from larger community of course).  

Hamid.

---

From: "NIGER Philippe RD-RESA-LAN" <[email-masked]>
Date: Mon, 28 Nov 2005 18:53:00 +0100

Yes.

No.

Yes.

No.
 
> Q5. Are you in favor of a single solution?
 
Abstain. Further discussion needed.

Philippe Niger.

---

From: "Bill Storer \(bstorer\)" <[email-masked]>
Date: Mon, 28 Nov 2005 13:45:56 -0800

> Behalf Of Danny McPherson
YES

NO

NO

YES

YES

---

From: Scott W Brim <[email-masked]>
Date: Mon, 28 Nov 2005 16:53:14 -0500

> Q1. Are you in favor of moving MS-LDP forward as WG draft?

yes

> Q2. Are you against moving MS-LDP forward?

no

> Q3. Are you in favor of moving MS-RSVP forward as WG draft?

no

> Q4. Are you against moving MS-RSVP forward?

yes

> Q5. Are you in favor of a single solution?

yes

---

From: "Matt Squire" <[email-masked]>
Date: Mon, 28 Nov 2005 17:00:21 -0500

Yes.  

No. 

No. 

Yes.  

Yes.

---

From: "Russell Gardo \(rgardo\)" <[email-masked]>
Date: Mon, 28 Nov 2005 17:07:54 -0500

> Sent: Tuesday, November 22, 2005 12:05 PM
> To: pwe3
> To continue this pseudo-poll on the MS-RSVP v. MS-LDP, I'd 
> like to formalize things a bit and ask folks to respond to 
> the following questions (on list, ideally, but directly to 
> the chairs if you'd prefer).
> 
> And yes, I realize this is somewhat arbitrary, but we'll see 
> how it goes..
> 
> Thanks!
> 
> -danny & Stewart
> 
> 
> [snip]
> 

Yes.

No.

No.

Yes.

Yes.

-- Russell

---

From: "Maria A. Dos Santos \(mariados\)" <[email-masked]>
Date: Mon, 28 Nov 2005 14:31:33 -0800

> From: [email-masked] [mailto:[email-masked]] On Behalf 
> Of Danny McPherson
> To continue this pseudo-poll on the MS-RSVP v. MS-LDP, I'd like to 
> formalize things a bit and ask folks to respond to the following 
> If you've already responded to these no need to reply again, we heard 
> you.
> 
> YES or NO answers only please, although you're welcome to follow-up a 
> YES or NO with comments as to why.
> 
yes

no

no

yes

yes

---

From: "Ali Sajassi \(sajassi\)" <[email-masked]>
Date: Tue, 29 Nov 2005 10:16:56 -0800

Yes. 

No. 

No. 

> Q4. Are you against moving MS-RSVP forward?

Yes at this point.

Yes.

---

From: "Brungard, Deborah A, ALABS" <[email-masked]>
Date: Tue, 29 Nov 2005 14:23:59 -0600

[snip]

Abstain

---

From: "Chris Metz \(chmetz\)" <[email-masked]>
Date: Tue, 29 Nov 2005 17:07:53 -0500

YES

NO

NO 

YES

YES

---

From: Ron Bonica <[email-masked]>
Date: Tue, 29 Nov 2005 19:44:41 -0500

No

Yes

No

No